Package: groovy.model

## [Java] Class DefaultTableColumn

- groovy.model.DefaultTableColumn

- Represents a column using a ValueModel to extract the value.

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TableColumn` | `COLUMN_WIDTH_PROPERTY, HEADER_VALUE_PROPERTY, HEADER_RENDERER_PROPERTY, CELL_RENDERER_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultTableColumn (ValueModel valueModel)`
    `DefaultTableColumn (Object header, ValueModel valueModel)`
    `DefaultTableColumn (Object headerValue, Object identifier, ValueModel columnValueModel)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Class` | `getType()` @return the column type
    `Object` | `getValue(Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
    `ValueModel` | `getValueModel()`
    `void` | `setValue(Object row, Object value, int rowIndex, int columnIndex)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TableColumn` | `getIdentifier, disableResizedPosting, enableResizedPosting, getCellEditor, getCellRenderer, getHeaderRenderer, getHeaderValue, getMaxWidth, getMinWidth, getModelIndex, getPreferredWidth, getResizable, setCellEditor, setCellRenderer, setHeaderRenderer, setHeaderValue, setIdentifier, setMaxWidth, setMinWidth, setModelIndex, setPreferredWidth, setResizable, setWidth, sizeWidthToFit, addPropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getWidth, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DefaultTableColumn(ValueModel valueModel)

    - #### public DefaultTableColumn(Object header, ValueModel valueModel)

    - #### public DefaultTableColumn(Object headerValue, Object identifier, ValueModel columnValueModel)

  - ### Method Detail

    - #### public Class getType()

      Returns:
        the column type

    - #### public Object getValue(Object row, int rowIndex, int columnIndex)

      Evaluates the value of a cell

      Parameters:
        `row` - the row of interest
        `rowIndex` - the index of the row of interest
        `columnIndex` - the column of interest
      Returns:
        the value

    - #### public ValueModel getValueModel()

    - #### public void setValue(Object row, Object value, int rowIndex, int columnIndex)

    - #### public String toString()